Solved embroidery Magic box compatibility with newer systems Win 8

March 1, 2014 at 18:00:36
Specs: PC
I have a Magic box 3.3b which I have been using on a Old laptop with XP 32 bit OS. I need to replace the laptop and am unsure what I need to look for in a new small computer to use this magic box and also a EQ 7 program. I have been using the EQ on this lap top too.

message edited by rocqie


See More: embroidery Magic box compatibility with newer systems Win 8

Report •

#1
March 2, 2014 at 03:26:25
✔ Best Answer
For information regarding Magic Box compatibility with newer versions of Windows, read this: http://embroideryonlinesupport.cust...

In particular, note that it won't work on 64-bit Windows, it has to be 32-bit.

------------------------------------------------------------------------------------------

Electric Quilt 7 is compatible with these versions of Windows:

Windows® XP, Windows® Vista, Windows® 7, or Windows® 8

That's according to the software developer's own website here:

http://electricquilt.com/online-sho... Requirements

message edited by phil22


Report •
Related Solutions


Ask Question